
*, :before, :after {
	box-sizing: border-box;
    border-width: 0;
    border-style: solid;
    border-color: #e2e8f0;
}

body {
    background-color: rgb(30 41 59 / 1);
    flex-direction: column;
    min-height: 100vh;
    display: flex;
    margin: 0;
    line-height: inherit;
    font-family: 'Open Sans', sans-serif;
    font-weight: 400;
    color: #4a4a4a;
    scrollbar-width: thin;
}

.page-wrap {
    color: rgb(255 255 255 / 1);
    background-color: rgb(30 41 59 / 1);
    overflow: hidden;
    flex-grow: 1;
    margin-top: -5rem;
    position: relative;
}

.main-content {
    padding-top: 4rem;
    padding-bottom: 4rem;
    justify-content: center;
    align-items: center;
}

.animate-spin {
    border-color: #2563eb4d;
    border-bottom-width: 1px;
    border-radius: 9999px;
    aspect-ratio: 1 / 1;
    right: 0px;
    top: -50%;
    position: absolute;
}

.animate-spin-8s {
	width: 33.333333%;
	animation: spin 8s linear infinite;
}

.animate-spin-6s {
	width: 50%;
	animation: spin 6s linear infinite;
}

.animate-spin-4s {
	width: 66.666667%;
	animation: spin 4s linear infinite;
}

.animate-spin-2s {
	width: 100%;
	animation: spin 2s linear infinite;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

.main-content {
    position: relative;
    min-height: 100%;
    margin: 0 auto;
    min-width: 320px;
    max-width: 992px;
    padding: 0 16px;
}

header {
    width: 100%;
    height: 70px;
    margin-top: 25px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 50px;
}

header .logo {
    font-size: 30px;
    text-transform: uppercase;
}

header nav ul {
    display: flex;
    list-style: none;
}

header nav ul li a {
    /* you can change these variables to control the border */
    --border-color: #60a5fa;
    --border-width: 2px;
    --bottom-distance: 0px; /* you can increase this */
    
    background-image: linear-gradient(var(--border-color), var(--border-color));
    background-size: 0% var(--border-width);
    background-repeat: no-repeat;
    transition: background-size 0.3s;

    display: inline-block;
    color: #fff;
    padding: 5px 0;
    margin: 0 10px;
    font-size: 14px;
    border: 3px solid transparent;
    margin-left: 25px;
    margin-top: 20px !important;
    background-position: 50% calc(100% - var(--bottom-distance));
}

header nav ul li a.active {
    background-size: 100% var(--border-width);
    text-decoration: none;
    color: #fff;
}

header nav ul li a:hover {
    background-size: 100% var(--border-width);
    text-decoration: none;
    color: #fff;
}

.hamburger {
    cursor: pointer;
    display: none;
}

.hamburger div {
    width: 30px;
    height: 3px;
    margin: 5px 0;
    background: #fff;
}

@media only screen and (max-width: 900px) {
    header {
        padding: 0 30px;
    }
}

@media only screen and (max-width: 700px) {
    .hamburger {
        display: block;
    }
    header nav {
        position: absolute;
        width: 100%;
        left: -100%;
        top: 135px;
        width: 100%;
        background: #fff;
        padding: 30px;
        transition: 0.3s;
    }
    header #nav_check:checked ~ nav {
        left: 0;
    }
    header nav ul {
        display: block;
    }
    header nav ul li a {
        margin: 5px 0;
    }
}

.main-tabs {
    margin-top: 60px;
}

#tabs ul li a {
    color: #fff;
    cursor: pointer;
    background-color: rgb(51 65 85 / 1);
    line-height: 1.42857143;
    border-radius: 4px 4px 4px 4px;
    position: relative;
    display: block;
    padding: 10px 15px;
    margin-right: 2px;
    margin-bottom: 2px;
}

#tabs ul li a:hover {
    text-decoration: none;
    cursor: pointer;
}

#tabs ul li a.active {
    border-bottom: 2px solid #60a5fa;
}

.tab-content {
    background-color: rgb(51 65 85 / 1);
    padding: 20px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    min-height: 400px;
}

.nav-tabs {
    border-bottom: none !important;
}

.text-input {
    background: #1e293b;
    resize: none;
    height: 310px;
    border: none;
    border-radius: 10px;
    padding: 20px;
    color: #fff;
    scrollbar-width: thin;
}

.text-input:focus {
    background: #1e293b;
    border: 1px solid #60a5fa;
    color: #fff;
}

.text-input::-webkit-scrollbar-thumb {
    background: #1e293b;
}

.btn-row {
    margin-top: 10px;
    text-align: right;
}

.btn-save-text {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: .5rem;
    border-top-width: 1px;
    border-bottom-width: 1px;
    border-top-color: rgb(96 165 250 / 1);
    --tw-border-opacity: 1;
    border-bottom-color: rgb(30 64 175 / 1);
    background-image: linear-gradient(to bottom, #3b82f6, #2563eb);
    --tw-gradient-from: #3b82f6;
    --tw-gradient-to: rgb(59 130 246 / 0);
    --tw-gradient-stops: #3b82f6, #2563eb;
    --tw-gradient-to: #2563eb;
    padding: .5rem 1rem;
    text-align: center;
    font-weight: 700;
    --tw-text-opacity: 1;
    color: rgb(255 255 255 / 1);
    --tw-shadow: 0 10px 15px -3px rgb(0 0 0 / .1), 0 4px 6px -4px rgb(0 0 0 / .1);
    --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color), 0 4px 6px -4px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
    --tw-shadow-color: rgb(29 78 216 / .2);
    --tw-shadow: var(--tw-shadow-colored);
    cursor: pointer;
    height: 40px;
    width: 100px;
}

.btn-save-text:focus, .btn-clear:focus {
    outline: none;
    border: none;
}

.btn-save-text:disabled {
    cursor: not-allowed;
    opacity: .4;
}

.btn-clear {
    background: transparent;
    border: none;
    outline: none;
    color: #fff;
    margin-right: 10px;
    cursor: pointer;
}

.ft-border {
    --tw-gradient-to: rgb(96 165 250 / 0);
    --tw-gradient-stops: #1e293b, #60a5fa, #1e293b;
    background-image: linear-gradient(to right, var(--tw-gradient-stops));
    height: 1px;
    -webkit-font-smoothing: antialiased;
    color: rgb(30 41 59 / 1);
    margin-top: 50px;
    margin-bottom: 25px;
}

#footer p {
    text-align: center;
    font-size: 15px;
}

.d-none {
    display: none;
}

.how-it-works {
    background-color: rgb(51 65 85 / 1);
    padding: 20px;
    margin-top: 60px;
    text-align: center;
    min-height: 430px;
}

.tab-background {
    background-color: rgb(51 65 85 / 1);
    padding: 20px;
    margin-top: 60px;
    min-height: 430px;
}

.how-it-works h2 {
    margin-top: 25px;
    font-size: 30px;
}

.p-how-it-works {
    padding: 10px 30%;
    line-height: 30px;
    font-size: 17px;
    color: #a2a2a2;
}

.h-box {
    margin-top: 35px;
    line-height: 30px;
    padding: 5px 30px;
    font-size: 20px;
}

.number {
    font-size: 45px;
    margin-bottom: 20px;
    color: grey;
}

.no-file {
    height: 350px;
    border: 2px dashed #60a5fa;
    padding: 20px;
    text-align: center;
    background: #1e293b;
    border-radius: 5px;
    cursor: pointer;
}

.no-file-upload-wrap h4 {
    font-size: 16px;
}

.no-file-upload-wrap {
    padding-top: 125px;
}

.d-none {
    display: none;
}

.drag-drop-wrap {
    min-height: 350px;
}

.drag-drop-wrap.drag-over {
    border: 2px solid #60a5fa !important;
}

.file {
    position: relative;
    border: 1px solid #60a5fa;
    width: 120px;
    height: 140px;
    padding: 3px;
    margin: 5px;
    background: #1e293b;
    overflow: hidden;
    cursor: pointer;
}

.add-new-file {
    color: grey;
    cursor: pointer;
    border: 1px dashed #60a5fa;
    width: 120px;
    height: 140px;
    padding: 3px;
    margin: 5px;
    text-align: center;
    background: #1e293b;
}

.add-new-file:hover {
    opacity: 0.7;
}

.add-file {
    margin: 0;
    margin-top: 25px;
    font-size: 16px;
}

.up-to {
    font-size: 13px;
}

.files-wrap {
    scrollbar-width: thin;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}

.preview {
    overflow: hidden;
    height: 100%;
}

i.fa-plus {
    font-size: 30px;
    margin-bottom: 10px;
    color: #60a5fa;
}

.preview img {
    height: 132px;
}

.preview p {
    text-align: center;
    font-size: 14px;
    color: grey;
    padding: 0px 5px;
    word-wrap: break-word;
}

.preview i {
    font-size: 35px;
    text-align: center;
    width: 100%;
    margin: 20px 0px;
}

.file-loading {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    opacity: 0.7;
    display: flex;
    justify-content: center;
    align-items: center;
}

.progress-container {
    position: relative;
    width: 120px; /* Adjust width as needed */
    height: 120px; /* Adjust height as needed */
}

.progress-background {
    fill: none;
    stroke-width: 3; /* Thickness of the progress bar */
}

.progress-bar {
    fill: none;
    stroke: #fff; /* Progress color */
    stroke-width: 3; /* Thickness of the progress bar */
    stroke-linecap: round; /* Rounded line ends */
    stroke-dasharray: 0, 1000; /* Length of the stroke dasharray */
    transition: stroke-dasharray 0.5s ease; /* Animation transition */
    transform: rotate(-90deg); /* Rotate so it starts from the top center */
    transform-origin: 50% 50%; /* Rotate around the center */
}

.progress-text {
    font-family: Arial, sans-serif;
    font-size: 16px;
    fill: #fff; /* Text color */
    text-anchor: middle; /* Center text horizontally */
    dominant-baseline: central; /* Center text vertically */
}

.file-error {
    text-align: center;
    font-weight: bold;
}

.file-error i {
    font-size: 35px;
    margin-top: 15px;
    margin-bottom: 10px;
}

.file-error p {
    line-height: 25px;
    padding: 0px 5px;
}

.btn-wrap {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    background: #000;
    opacity: .7;
}

.margin-wrap {
    width: 50%;
    margin: 0 auto
}

.tab-header h2 {
    text-align: center;
    font-size: 30px;
    margin-bottom: -5px;
    padding-bottom: 15px;
}

.h-border {
    --tw-gradient-to: rgb(96 165 250 / 0);
    --tw-gradient-stops: #334155, #60a5fa, #334155;
    background-image: linear-gradient(to right, var(--tw-gradient-stops));
    height: 1px;
    -webkit-font-smoothing: antialiased;
    color: rgb(30 41 59 / 1);
    margin-bottom: 50px;
}

.custom-input {
    background-color: #1e293b;
    color: #fff;
    border: 1px solid #535353;
    padding: 10px 15px;
    border-radius: 5px;
    font-size: 15px;
}

.custom-input:focus {
    background-color: #1e293b;
    color: #fff;
    border: 1px solid #535353;
}

.btn-login {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: .5rem;
    border-top-width: 1px;
    border-bottom-width: 1px;
    border-top-color: rgb(96 165 250 / 1);
    --tw-border-opacity: 1;
    border-bottom-color: rgb(30 64 175 / 1);
    background-image: linear-gradient(to bottom, #3b82f6, #2563eb);
    --tw-gradient-from: #3b82f6;
    --tw-gradient-to: rgb(59 130 246 / 0);
    --tw-gradient-stops: #3b82f6, #2563eb;
    --tw-gradient-to: #2563eb;
    padding: .5rem 1rem;
    text-align: center;
    font-weight: 700;
    --tw-text-opacity: 1;
    color: rgb(255 255 255 / 1);
    --tw-shadow: 0 10px 15px -3px rgb(0 0 0 / .1), 0 4px 6px -4px rgb(0 0 0 / .1);
    --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color), 0 4px 6px -4px var(--tw-shadow-color);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
    --tw-shadow-color: rgb(29 78 216 / .2);
    --tw-shadow: var(--tw-shadow-colored);
    cursor: pointer;
    height: 40px;
    width: 100%;
}

.btn-transparent {
    float: right;
    background: transparent;
    color: #60a5fa;
    cursor: pointer;
    outline: none;
    border: none;
    margin: 0px 15px;
}

.btn-transparent i {
    margin-right: 3px;
    font-size: large;
}

.btn-transparent:focus {
    outline: none;
    border: none;
}

.btn-transparent:hover {
    text-decoration: underline;
}

.btn-files-wrap {
    margin: 10px 0px 20px 0px;
}

#tabs.loading {
    opacity: .4;
    pointer-events: none;
}

.btn-red {
    color: #ff485e !important;
}

.loader {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.file-loader {
    width: 50px;
    padding: 8px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #499aff;
    --_m: conic-gradient(#0000 10%,#000), linear-gradient(#000 0 0) content-box;
    -webkit-mask: var(--_m);
    mask: var(--_m);
    -webkit-mask-composite: source-out;
    mask-composite: subtract;
    animation: l3 1s infinite linear;
}

.tab-pane.active {
    position: relative;
}

.select-file {
    width: 35px;
    height: 35px;
    cursor: pointer;
}

@keyframes l3 {
    to {
        transform: rotate(1turn)
    }
}
